<?php

use ResTelae\Gbif\Occurrences;

/**
 * Override entity methods as this is not SQL-based.
 */
class GbifOccurrenceController extends EntityAPIController {

  /**
   * {@inheritdoc}
   */
  public function load($ids = [], $conditions = []) {
    $occ = new Occurrences();
    $entities = [];

    foreach ($ids as $id) {
      if ($values = $occ->get($id)) {
        $entity = entity_create('gbif_occurrence', $values);
        $entities[$id] = $entity;
      }
    }

    return $entities;
  }

  /**
   * {@inheritdoc}
   */
  public function save($entity, DatabaseTransaction $transaction = NULL) {
    // We do not save GBIF entities.
  }

  /**
   * {@inheritdoc}
   */
  public function delete($ids, DatabaseTransaction $transaction = NULL) {
    // We do not delete GBIF entities.
  }

}
